<template>
    <div class="content__leftAnalitika">
        <div class="user-controlLastPage">
            <div class="lastPage__top--flex">
                <users-balance/>
                <div class="last__top--right animated fadeInRight">
                    <p class="text-bold">{{ $t('users.search_form.title') }}</p>
                    <form class="box-bottom--search" @submit.prevent="search">
                        <label for="searchField">{{ $t('users.search_form.field') }}</label>
                        <div class="box-iconInput">
                            <svg>
                                <use xlink:href="/img/sprite.svg#musica-searcher"/>
                            </svg>
                            <input type="text" name="searchField" id="searchField" v-model="query">
                        </div>
                        <button class="save-noBg" type="submit">{{ $t('users.search_form.submit') }}</button>
                    </form>
                </div>
            </div>
            <create-user/>
            <users-table ref="table" :query="query"/>
        </div>
    </div>
</template>

<script>
import Balances from "../components/users/Balances";
import Create from "../components/users/Create";
import UsersTable from "../components/users/UsersTable";

export default {
		name: "Users",
        data(){
		    return {
		        query: '',
            }
        },
        methods: {
		    search(){
				this.$refs.table.submit();
            }
        },
        components: {
		    'users-balance': Balances,
            'create-user': Create,
            'users-table': UsersTable
        }
	}
</script>

<style scoped>

</style>
